import { Plugin } from 'rollup';
export declare const typescriptPaths: ({ tsConfigPath, absolute, transform, }?: Options) => Plugin;
export interface Options {
    /**
     * Custom path to your `tsconfig.json`. Use this if the plugin can't seem to
     * find the correct one by itself.
     */
    tsConfigPath?: string;
    /**
     * Whether to resolve to absolute paths or not; defaults to `true`.
     */
    absolute?: boolean;
    /**
     * If the plugin successfully resolves a path, this function allows you to
     * hook into the process and transform that path before it is returned.
     */
    transform?(path: string): string;
}
/**
 * For backwards compatibility.
 */
export declare const resolveTypescriptPaths: ({ tsConfigPath, absolute, transform, }?: Options) => Plugin;
export default typescriptPaths;
